require 'log4r'
require 'soar_auditing_provider_api'

class Main
  include Log4r

  def test_sanity
    auditor = Logger.new 'sanity'
    auditor.outputters = Outputter.stdout
    @iut = SoarAuditingProviderAPI::AuditingProviderAPI.new( { auditor => { 'nfrs' => {'accessibility' => 'local'} } } )
    @iut.select(SoarAuditingProviderAPI::AuditingProviderAPI::DEFAULT)
    some_debug_object = 123
    @iut.info("This is info")
    @iut.debug(some_debug_object)
    dropped = 95
    @iut.warn("Statistics show that dropped packets have increased to #{dropped}%")
    @iut.error("Could not resend some dropped packets. They have been lost. All is still OK, I could compensate")
    @iut.fatal("Unable to perform action, too many dropped packets. Functional degradation.")
    @iut << 'Rack::CommonLogger requires this'
  end
end

main = Main.new
main.test_sanity
